%!TEX root = main.tex

\begin{abstract}

Radio Frequency (RF) sensing based on Commercial Off-The-Shelf (COTS) Wi-Fi devices is recently a hot research topic.
However, the pursuit of higher sensing accuracy is severely hampered by the limited spectrum and insufficient number of antennas.
In this paper, we release PicoScenes, a sophisticated NIC control and CSI measurement tool that overcomes the above limitations. 
PicoScenes comprises a three-layered architecture, \ie PicoScenes Driver, Platform and Plug-in Development Kit (PSPDK).
In the bottom layer,
we unlock the Ultra-wideband (UWB) access for Atheros 9300 NIC (a.k.a QCA9300), and enable the multi-NIC CSI measurement for both Intel 5300 (a.k.a IWL5300) and QCA9300.
In the middle layer, PicoScenes Platform wraps all the low-level NIC controls, and provides a powerful and efficient runtime APIs for PSPDK.
And in the upper layer, we develop PSPDK-based plug-ins and achieve $ms$-grade UWB spectrum sensing on a large-scale NIC array.

\end{abstract}